Subject: FW: Last Call: <draft-ietf-manet-olsrv2-15.txt> (The Optimized Link State Routing Protocol version 2) to Proposed Standard

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 24 Aug 2012 15:01:21 +0100

I consulted with the writer of this email about copying to the IETF list and he
asked the IESG to decide. I believe that it is helpful that technical comments
be aired in public, therefore I am forwarding an edited version of his email.

Authors, please include this in the responses that you will be generating.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Abdussalam Baryun
> Sent: 22 August 2012 23:01
> To: [email-masked]
> Subject: Re: Last Call: <draft-ietf-manet-olsrv2-15.txt> (The Optimized Link
State
> Routing Protocol version 2) to Proposed Standard
> 
> Reply to your request dated 29/07/2012
> Draft Reviewed By: Abdussalam Baryun (AB)   Dated: 22/08/2012
> 
> Reviewer Comment AB7: Comments on text in document history [*].
> https://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2/history/
> ++++++++++++++++++++++++++++++++++++
> 
> A key difference between RFC3626 and OLSRv2 is the introduction of
> support for link metrics. An individual draft
> (draft-dearlove-olsrv2-metrics-00) was submitted in 2007, discussing
> the design options, culminating in 2010 with
> draft-dearlove-olsrv2-metrics-05 documenting Working Group consensus
> on this matter. Metrics support was, then, folded into OLSRv2.
> 
> AB> the reviewer thinks the difference is that OLSRv2 is a metric base
> router that uses NHDP and RFC5444 packets which are general MANET
> interface protocol and general MANET packet format respectively.
> OLSRv2 is applicable for more scenarios and routers that are
> constraint devices.